%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:                picketbox
Version:             4.9.6
Release:             1
Summary:             Security framework for Java Applications
License:             LGPLv2+
URL:                 https://picketbox.jboss.org
Source0:             https://github.com/picketbox/picketbox/archive/v%{namedversion}.tar.gz
Source1:             picketbox-%{namedversion}-pom.xml
Patch0:              picketbox-assembly.patch
BuildArch:           noarch
BuildRequires:       maven-local mvn(javax.persistence:persistence-api)
BuildRequires:       mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:       mvn(org.codehaus.mojo:javacc-maven-plugin) mvn(org.hibernate:hibernate-core:3)
BuildRequires:       mvn(org.hibernate:hibernate-entitymanager:3)
BuildRequires:       mvn(org.infinispan:infinispan-core) mvn(org.jboss:jboss-parent:pom:)
BuildRequires:       mvn(org.jboss.logging:jboss-logging)
BuildRequires:       mvn(org.jboss.logging:jboss-logging-annotations)
BuildRequires:       mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires:       mvn(org.jboss.maven.plugins:maven-injection-plugin)
BuildRequires:       mvn(org.jboss.modules:jboss-modules) mvn(org.jboss.security:jbossxacml)
BuildRequires:       mvn(org.jboss.spec.javax.resource:jboss-connector-api_1.6_spec)
BuildRequires:       mvn(org.jboss.spec.javax.security.auth.message:jboss-jaspi-api_1.1_spec)
BuildRequires:       mvn(org.jboss.spec.javax.security.jacc:jboss-jacc-api_1.5_spec)
BuildRequires:       mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec)
BuildRequires:       mvn(org.picketbox:picketbox-commons) xmvn
%description
Java Security Framework that provides Java developers the following
functionality:
- Authentication Support
- Authorization Support
- Audit Support
- Security Mapping Support
- An Oasis XACML v2.0 compliant engine

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1
%pom_change_dep org.hibernate: ::3 security-jboss-sx/acl
%pom_remove_dep "org.hibernate:hibernate-annotations" security-jboss-sx/acl/pom.xml
%pom_change_dep :servlet-api org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec security-spi/spi
%pom_change_dep :servlet-api org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec:1.0.2.Final security-spi/parent
%pom_xpath_inject "pom:plugin[pom:artifactId='maven-jar-plugin']/pom:executions" "
<execution>
  <id>default-jar</id>
  <phase>skip</phase>
</execution>" security-jboss-sx/jbosssx-client
%pom_remove_dep org.jboss.modules:jboss-modules security-jboss-sx/parent
%pom_add_dep_mgmt org.jboss.modules:jboss-modules:1.3.4.Final:compile security-jboss-sx/parent
%pom_xpath_set -r "pom:plugin[pom:artifactId='maven-assembly-plugin']/pom:executions/pom:execution/pom:goals/pom:goal[text()='attached']" single
%pom_remove_dep org.picketbox:common-spi security-jboss-sx/identity
%pom_add_dep org.picketbox:common-spi:'${project.version}':compile security-jboss-sx/identity

%build
%mvn_build -f

%install
%mvn_install
install -pm 644  assembly/target/picketbox-%{namedversion}-bin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}.jar
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}.pom %{name}/%{name}.jar

%files -f .mfiles

%files javadoc -f .mfiles-javadoc

%changelog
* Thu Aug 13 2020 zhanghua <zhanghua40@huawei.com> - 4.9.6-1
- package init
